Package org.apache.catalina.ssi

## Class SSIInclude

- java.lang.Object
- - org.apache.catalina.ssi.SSIInclude

- All Implemented Interfaces:
    `SSICommand`

      public final class SSIInclude
      extends java.lang.Object
      implements SSICommand

  Implements the Server-side #include command
  Author:
    Bip Thelin, Paul Speed, Dan Sandberg, David Becker

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSIInclude()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `process​(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` | Write the output of the command to the writer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSIInclude

          public SSIInclude()

  - ### Method Detail

    - #### process

          public long process​(SSIMediator ssiMediator,
                              java.lang.String commandName,
                              java.lang.String[] paramNames,
                              java.lang.String[] paramValues,
                              java.io.PrintWriter writer)

      Description copied from interface: `SSICommand`
      Write the output of the command to the writer.
      Specified by:
        `process` in interface `SSICommand`
      Parameters:
        `ssiMediator` - the ssi mediator
        `commandName` - the name of the actual command ( ie. echo )
        `paramNames` - The parameter names
        `paramValues` - The parameter values
        `writer` - the writer to output to
      Returns:
        the most current modified date resulting from any SSI commands
      See Also:
        `SSICommand`